﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IAdditionsLogic
    {
        List<AdditionsViewModel>? ReadList(AdditionsSearchModel? model);
        AdditionsViewModel? ReadElement(AdditionsSearchModel model);
        bool Create(AdditionsBindingModel model);
        bool Update(AdditionsBindingModel model);
        bool Delete(AdditionsBindingModel model);
    }
}
