﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IConferenceLogic
    {
        List<ConferenceViewModel>? ReadList(ConferenceSearchModel? model);
        ConferenceViewModel? ReadElement(ConferenceSearchModel model);
        bool Create(ConferenceBindingModel model);
        bool Update(ConferenceBindingModel model);
        bool Delete(ConferenceBindingModel model);
    }
}
