﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface ICreditLogic
    {
        List<CreditViewModel>? ReadList(CreditSearchModel? model);
        CreditViewModel? ReadElement(CreditSearchModel model);
        bool Create(CreditBindingModel model);
        bool Update(CreditBindingModel model);
        bool Delete(CreditBindingModel model);
        
    }
}
