﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface ICreditStorage
    {
        List<CreditViewModel> GetFullList();

        List<CreditViewModel> GetFilteredList(CreditSearchModel model);

        CreditViewModel? GetElement(CreditSearchModel model);

        CreditViewModel? Insert(CreditBindingModel model);

        CreditViewModel? Update(CreditBindingModel model);

        CreditViewModel? Delete(CreditBindingModel model);
    }
}
