﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IMemberStorage
    {
        List<MemberViewModel> GetFullList();

        List<MemberViewModel> GetFilteredList(MemberSearchModel model);

        MemberViewModel? GetElement(MemberSearchModel model);

        MemberViewModel? Insert(MemberBindingModel model);

        MemberViewModel? Update(MemberBindingModel model);

        MemberViewModel? Delete(MemberBindingModel model);
    }
}
