﻿using BankDataModels.Models;
using System.ComponentModel;

namespace BankContracts.ViewModels
{
    public class AdditionsViewModel : IAdditionsModel
    {
        [DisplayName("Название плана питания")]
        public string AdditionsName { get; set; } = string.Empty;

        [DisplayName("Цена плана питания")]
        public double AdditionsPrice { get; set; }

        public int ClercId { get; set; }

        public int Id { get; set; }

        public Dictionary<int, IMemberModel> AdditionsMembers { get; set; }
    }
}
