﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IConferenceBookingLogic
    {
        List<ConferenceBookingViewModel>? ReadList(ConferenceBookingSearchModel? model);
        ConferenceBookingViewModel? ReadElement(ConferenceBookingSearchModel model);
        bool Create(ConferenceBookingBindingModel model);
        bool Update(ConferenceBookingBindingModel model);
        bool Delete(ConferenceBookingBindingModel model);
    }
}
