﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IAdditionsPlanStorage
    {
        List<AdditionsViewModel> GetFullList();

        List<AdditionsViewModel> GetFilteredList(AdditionsSearchModel model);

        AdditionsViewModel? GetElement(AdditionsSearchModel model);

        AdditionsViewModel? Insert(AdditionsBindingModel model);

        AdditionsViewModel? Update(AdditionsBindingModel model);

        AdditionsViewModel? Delete(AdditionsBindingModel model);
    }
}
